## com.thingmagic
Class Iso180006b.ReadData

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Iso180006b.ReadData

Enclosing class:
  Iso180006b

    public static class Iso180006b.ReadData

extends TagOp

Embedded Tag operation : Read Data

Field Summary
`byte` `ByteAddress` byte address to start writing at
`int` `Len` Number of bytes to read

Constructor Summary
`Iso180006b.ReadData(byte byteAddress, byte length)` Constructor to initialize the parameter of Read Data

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ByteAddress

    public byte ByteAddress

  byte address to start writing at

### Len

    public int Len

  Number of bytes to read

Constructor Detail

### Iso180006b.ReadData

    public Iso180006b.ReadData(byte byteAddress,
                               byte length)

  Constructor to initialize the parameter of Read Data

  Parameters:
    `byteAddress` - read starting address
    `length` - the length of data to read